Package ru.bitel.bgbilling.plugins.documents.server.bean.pattern

# Class DocxDocumentProcessor

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.plugins.documents.server.bean.pattern.AbstractDocumentProcessor
ru.bitel.bgbilling.plugins.documents.server.bean.pattern.DocxDocumentProcessor

All Implemented Interfaces:
  `DocumentProcessor`

public class DocxDocumentProcessor extends AbstractDocumentProcessor implements DocumentProcessor
Обработчик формата .docx, работает через poi/openxmlformats.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.documents.server.bean.pattern.AbstractDocumentProcessor

  `con, document, pattern, tableData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocxDocumentProcessor(Connection con, Document document, DocumentPattern pattern, Map<String,Object> varData, Map<String,List<Map<String,String>>> tableData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `process(FileInputStream patternFile)`
  Непосредственно обработка файла с шаблоном документа.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocxDocumentProcessor

    public DocxDocumentProcessor(Connection con, Document document, DocumentPattern pattern, Map<String,Object> varData, Map<String,List<Map<String,String>>> tableData)

- ## Method Details

  - ### process

    public File process(FileInputStream patternFile) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `DocumentProcessor`
    Непосредственно обработка файла с шаблоном документа. Здесь осуществляется подстановка данных вместо переменных, генерация таблиц.
    Specified by:
      `process` in interface `DocumentProcessor`
    Parameters:
      `patternFile` - файл шаблона.
    Returns:
      готовый сформированый файл документа.
    Throws:
      `ru.bitel.bgbilling.common.BGException`